
Foreman - Bug #2643

TFTP orchestration doesn't check if the OS supports tftp

06/10/2013 12:22 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Unattended installations   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The TFTP orchestration assumes that Host.operatingsystem.pxe_variant exists, which is not necessarily true for Discovered Hosts

as they are provisioned to Managed. We should test this value before trying to act on it.

https://github.com/theforeman/foreman/pull/699

Associated revisions

Revision d2e50bbb - 06/12/2013 10:34 AM - Greg Sutcliffe

Fixes #2643 - Check for operatingsystem before orchestrating TFTP

Revision f8254dee - 06/12/2013 04:11 PM - Greg Sutcliffe

Fixes #2643 - Check for operatingsystem before orchestrating TFTP

(cherry picked from commit d2e50bbbf7d84fde6d846f5a821cf7e2c28fbfb3)

History

#1 - 06/12/2013 11:17 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d2e50bbbf7d84fde6d846f5a821cf7e2c28fbfb3.
